Skip to main content

Sandbox Simulations

Unit exposes the following sandbox-specific endpoints, in addition to all other endpoints. They allow you to easily test and simulate real-world events - external activity, or internal activity that may normally take a long time to occur.

Note

Simulation operations are subject to the same authentication scheme as the Live APIs, and therefore require a valid Authentication token.

Generate Account Statement

Generate an account statement. The statement includes any transactions performed between the beginning of the current month and up until EOD yesterday. The Statements Created webhook event will be fired.

VerbPOST
URLhttps://api.s.unit.sh/sandbox/accounts/{accountId}/generate-statement
Timeout (Seconds)5
Example Request:
curl -X POST 'https://api.s.unit.sh/sandbox/accounts/10001/generate-statement' \
-H "Authorization: Bearer ${TOKEN}"

Generate Customer Account Statement

Unlike the Generate Account Statement endpoint, this endpoint supports cases where one account has multiple account owners (customers) and therefore compatible with cases of Joint Accounts. By declaring a customerId you will be able to choose for which account owner to generate a statement. that provides the ability to generate one statement per account. The statement includes any transactions performed between the beginning of the current month and up until EOD yesterday. The Statements Created webhook event will be fired.

VerbPOST
URLhttps://api.s.unit.sh/sandbox/customers/{customerId}/accounts/{accountId}/generate-statement
Timeout (Seconds)5
Example Request:
curl -X POST 'https://api.s.unit.sh/sandbox/customers/10000/accounts/10001/generate-statement' \
-H "Authorization: Bearer ${TOKEN}"